import { CompiledResult, VueCompiledResult } from "../type/compile";
export declare class Render {
    private compiledFiles;
    private cacheModules;
    constructor(compiledFiles?: Record<string, CompiledResult | VueCompiledResult>, config?: {
        modules?: any;
    });
    get(filePath: string): any;
    private getVueModule;
    private getJSModule;
    private getCmJSModule;
    private resolveDeps;
    private getModule;
}
